frame

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Installation error

Hi all.
I have got a Movidius today in Intel software developer workshop in Hamburg. I am trying to install the sdk on my ubuntu desktop machine. After running make install
it goes forward until the following error. It seems the Caffe installation has some conflict with installed opencv in ROS on my system. How should I solve it?? the detailed output of the command is in the attached txt file.

[ 72%] Linking CXX executable upgrade_solver_proto_text
/opt/ros/kinetic/lib/libopencv_imgcodecs3.so.3.3.1: undefined reference to `TIFFReadDirectory@LIBTIFF_4.0'
...
make[1]: Leaving directory '/opt/movidius/ssd-caffe/build'
Installation failed. Error on line 498

Another questions:
Can I enable the CUDA for the Caffe installation?? and how?? I have a Nvidia GPU Card.

I have the Intel distribution of python on my syst

Comments

  • 7 Comments sorted by Votes Date Added
  • edited February 2018 Vote Up0Vote Down

    It seems that I solved it in a crazy way. It seems it was seeing my anaconda installation and that was a problem although I have removed the anaconda path from my PATH variable.

    You need the ccmake of course

    cd /opt/movidius/ssd-caffe
    sudo rm -rf build
    mkdir build
    cd build
    ccmake .. # the double dots are important 
    

    then click c
    I turned off the ONLY_CPU or CPU_ONLY
    typed c and then g. although I got some errors in configure, I continued

    cd /opt/movidius/NCSDK
    sudo ./install-ncsdk.sh
    

    now it seems it is installed. I have to test it now. Lets see

  • All the examples shown in this video works.

  • @yosoufe Glad to hear you solved it. Also thank you for coming back and posting your solution. Others in our NCS community may find it useful. Thanks again!

  • @yosoufe I am also getting the similar error, after doing the steps suggested by you now I've got different error

    Running setup.py install for mvnc: finished with status 'done'
    Successfully installed mvnc-1.12.0.1
    You are using pip version 8.1.1, however version 18.0 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    Traceback (most recent call last):
    File "/usr/bin/pip", line 9, in
    from pip import main
    ImportError: cannot import name main
    Installation failed. Error on line 607

    Please let me know what i should do as i am new to this.
    thank you in advance

  • it worked after installing with below command:

    python3 -m pip install --user --upgrade pip==9.0.3

  • @suryender@gmail.com @yosoufe. I am getting a similar error but none of the above steps suggested is working for me.

  • Hi @Tharun_Reddy

    Thank you for reaching out. Could you please answer the following questions for me to get an idea of your current setup?

    1. Which Neural Compute SDK are you trying to install, V1 or V2?
    2. Which Neural Compute Stick are you using?
    3. What OS is your host computer running? Are you using a VM?
    4. Could you share the commands you are running and the error message you are seeing?

    Regards,
    Jesus

Sign In or Register to comment.